[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.GetMessageData

Read the data of the last message in a stream

## Declaration

Source position: simpleipc.pp line 106

`public procedure TSimpleIPCServer.GetMessageData(`
`Stream: TStream`
`);`

## Arguments

`Stream` |  | Stream to store message data in

## Description

GetMessageData reads the data of the last message from TSimpleIPCServer.MsgData and stores it in stream Stream. If no data was available, the stream will be cleared.

This function will return valid data only after a succesful call to ReadMessage. It will also not clear the data buffer.

## See also

StringMessage |  | Last message as a string.
MsgData |  | Last message data
MsgType |  | Last message type

The latest version of this document can be found at lazarus-ccr.sourceforge.net .